
Figure - Bug #118645
IOVDEV-33289【内部】【VC1】【106】【台架】【EE环境】【副屏】【设置-蓝牙】设置已连接蓝牙设备-之
前连接设备-手动开启蓝牙设备-点击设备名称提示无连接（蓝牙设备开启状态）
2023-06-08 15:39 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: 物联网测试组_TSCD 王维 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230607 04:05

【前提条件】：副屏上电

连接中控时间与副屏同步

网络连接情况正常

副屏正常连接功放

蓝牙设备正常开启

【操作步骤】

1.副屏打开设置页，设置页下滑点击进入已连接设备选项

2.已连接的设备选项下滑-之前连接蓝牙设备选项点击任意设备进行连接

【实际结果】

1.设备页下滑点击已连接的设备选项，下滑点击之前连接的任意设备，点击设备进行连接，连toast提示连接失败（设备开启状态）

【期望结果】

1.设置页下滑点击已连接的设备选项，下滑点击之前连接的任意设备，点击设备进行连接，连接成功

【备注】：

硬件版本号】：

【当前开机次数】：副屏当前开机第264次

【中控版本号】：03.02.0088.C103

【副屏版本号】：01.00.0106.c104

IDCM  VIN：HRYTTESTVINMGM402
SN：HRYTTESTVINID0402

History

#1 - 2023-06-09 10:50 - 短距组_SSRDCNJ 蒋俊杰

当前进展：

logcat中看问题时间点副屏与该手柄设备的HID协议没连上，需要补充HCI日志和空中包进一步确认原因

设备信息：BETOP BD3NH BFM，80:E4:DA:19:15:07

06-07 16:03:03.966  1887  2021 D BluetoothHidHostService: onConnectStateChanged: state=2

06-07 16:03:03.967  1887  1887 D BluetoothHidHostService: MESSAGE_CONNECT_STATE_CHANGED newState:1, prevState:0

06-07 16:03:03.967  1887  1887 D BluetoothHidHostService: Connection state 80:E4:DA:19:15:07: 0->1

06-07 16:03:03.968  1887  1887 V BluetoothHidHostService: handleMessage(): msg.what=3

06-07 16:03:03.969  1887  1887 D BluetoothHidHostService: MESSAGE_CONNECT_STATE_CHANGED newState:0, prevState:1

06-07 16:03:03.969  1887  1887 D BluetoothHidHostService: Connection state 80:E4:DA:19:15:07: 1->0

06-07 16:03:03.972  1887  1887 D AdapterProperties: PROFILE_CONNECTION_STATE_CHANGE: profile=4, device=80:E4:DA:19:15:07, 0 -> 1

06-07 16:03:03.973  1887  1887 D AdapterProperties: ADAPTER_CONNECTION_STATE_CHANGE: 80:E4:DA:19:15:07: 0 -> 1

06-07 16:03:03.974  1887  1887 D AdapterProperties: PROFILE_CONNECTION_STATE_CHANGE: profile=4, device=80:E4:DA:19:15:07, 1 -> 0

06-07 16:03:03.974  1903  1903 D CachedBluetoothDevice: onProfileStateChanged: profile HID, device BETOP BD3NH BFM, newProfileState 1

06-07 16:03:03.974  1903  2372 D CachedBluetoothDevice: onProfileStateChanged: profile HID, device BETOP BD3NH BFM, newProfileState 1

06-07 16:03:03.975  1887  1887 D AdapterProperties: ADAPTER_CONNECTION_STATE_CHANGE: 80:E4:DA:19:15:07: 1 -> 0

下一步：

请测试试试在副屏“之前连接的设备”列表中删除该手柄设备，同时将手柄重启，重新配对连接看下能否恢复；

如果还复现的话建议提供完整的蓝牙日志，包含logcat+HCI日志+问题时间点录屏，空中包能抓的话也可以提供下

#2 - 2023-06-14 16:36 - CD LC 陶洪普

- Status changed from New to NEED_INFO

- Assignee changed from CD LC 陶洪普 to CD TEST-方永红

更新到JIRA

#3 - 2023-08-31 16:25 - CDTS_TEST 王成

- Assignee changed from CD TEST-方永红 to 物联网测试组_TSCD 王维

#4 - 2023-09-14 10:46 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户回归验证通过

#5 - 2023-09-14 10:47 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#6 - 2023-09-14 10:48 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

video(72).mp4 1.79 MB 2023-06-08 CD TEST-方永红
tlog_iov0201017500006162025411a2212290000000981_000265_0607160405.tar.gz6.14 MB 2023-06-08 CD TEST-方永红
